package com.heyu.api.data.entity.user;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*用户房间表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("user_room")
public class UserRoomEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.user.UserRoomEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                     // 
    public final static String home_id = CLASS_NAME + "home_id";            // 家庭id
    public final static String room_name = CLASS_NAME + "room_name";        // 房间名称
    public final static String space_id = CLASS_NAME + "space_id";          // 涂鸦空间id
    public final static String is_delete = CLASS_NAME + "is_delete";        // 
    public final static String create_time = CLASS_NAME + "create_time";    // 
    public final static String modify_time = CLASS_NAME + "modify_time";    // 
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //家庭id
    private Long homeId;
    //房间名称
    private String roomName;
    //涂鸦空间id
    private Long spaceId;
    //
    private Integer isDelete;
    //
    private Date createTime;
    //
    private Date modifyTime;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 家庭id 
     * @return
     */
    public Long getHomeId() {
        return homeId;
    }
    /**
     * 家庭id 
     * @param homeId
     */
    public void setHomeId(Long homeId) {
        this.homeId = homeId;
    }

    /**
     * 房间名称 
     * @return
     */
    public String getRoomName() {
        return roomName;
    }
    /**
     * 房间名称 
     * @param roomName
     */
    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    /**
     * 涂鸦空间id 
     * @return
     */
    public Long getSpaceId() {
        return spaceId;
    }
    /**
     * 涂鸦空间id 
     * @param spaceId
     */
    public void setSpaceId(Long spaceId) {
        this.spaceId = spaceId;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     *  
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     *  
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     *  
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    @Override
    public String toString() {
        return "UserRoomEntity{" +
                ",id=" + id +
                ",homeId=" + homeId +
                ",roomName=" + roomName +
                ",spaceId=" + spaceId +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                "}";
    }
}